<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>proyectofinal documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>
          <script>
               // Blocking script to avoid flickering dark mode
               // Dark mode toggle button
               var useDark = window.matchMedia('(prefers-color-scheme: dark)');
               var darkModeState = useDark.matches;
               var $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               var $darkModeToggles = document.querySelectorAll('.dark-mode-switch');
               var darkModeStateLocal = localStorage.getItem('compodoc_darkmode-state');

               function checkToggle(check) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].checked = check;
                    }
               }

               function toggleDarkMode(state) {
                    if (window.localStorage) {
                         localStorage.setItem('compodoc_darkmode-state', state);
                    }

                    checkToggle(state);

                    const hasClass = document.body.classList.contains('dark');

                    if (state) {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.add('dark');
                         }
                         if (!hasClass) {
                              document.body.classList.add('dark');
                         }
                    } else {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.remove('dark');
                         }
                         if (hasClass) {
                              document.body.classList.remove('dark');
                         }
                    }
               }

               useDark.addEventListener('change', function (evt) {
                    toggleDarkMode(evt.matches);
               });
               if (darkModeStateLocal) {
                    darkModeState = darkModeStateLocal === 'true';
               }
               toggleDarkMode(darkModeState);
          </script>

        <div class="navbar navbar-default navbar-fixed-top d-md-none p-0">
               <div class="d-flex">
                    <a href="../" class="navbar-brand">proyectofinal documentation</a>
                    <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
               </div>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="d-none d-md-block menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li class="breadcrumb-item">Modules</li>
    <li class="breadcrumb-item" >ProjectModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.47.0 (20210316.0004)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1745pt" height="349pt"
 viewBox="0.00 0.00 1745.00 349.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 345)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-345 1741,-345 1741,4 -4,4"/>
<text text-anchor="start" x="847.51" y="-42.4" font-family="Times-12" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="634.5,-10 634.5,-30 654.5,-30 654.5,-10 634.5,-10"/>
<text text-anchor="start" x="658.13" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="747.5,-10 747.5,-30 767.5,-30 767.5,-10 747.5,-10"/>
<text text-anchor="start" x="771.23" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="833.5,-10 833.5,-30 853.5,-30 853.5,-10 833.5,-10"/>
<text text-anchor="start" x="857.28" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="930.5,-10 930.5,-30 950.5,-30 950.5,-10 930.5,-10"/>
<text text-anchor="start" x="954.17" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1026.5,-10 1026.5,-30 1046.5,-30 1046.5,-10 1026.5,-10"/>
<text text-anchor="start" x="1050.23" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_ProjectModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-333 1729,-333 1729,-70 8,-70"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_ProjectModule_LoginvalidatorDirective_providers</title>
<polygon fill="none" stroke="black" points="1037,-78 1037,-195 1721,-195 1721,-78 1037,-78"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_ProjectModule_declarations</title>
<polygon fill="none" stroke="black" points="194,-143 194,-195 1029,-195 1029,-143 194,-143"/>
</g>
<g id="clust11" class="cluster">
<title>cluster_ProjectModule_exports</title>
<polygon fill="none" stroke="black" points="92,-273 92,-325 1122,-325 1122,-273 92,-273"/>
</g>
<g id="clust13" class="cluster">
<title>cluster_ProjectModule_providers</title>
<polygon fill="none" stroke="black" points="16,-143 16,-195 186,-195 186,-143 16,-143"/>
</g>
<!-- GameComponent -->
<g id="node1" class="node">
<title>GameComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1021.26,-187 906.74,-187 906.74,-151 1021.26,-151 1021.26,-187"/>
<text text-anchor="middle" x="964" y="-164.8" font-family="Times,serif" font-size="14.00">GameComponent</text>
</g>
<!-- ProjectModule -->
<g id="node8" class="node">
<title>ProjectModule</title>
<polygon fill="#8dd3c7" stroke="black" points="683.7,-252 680.7,-256 659.7,-256 656.7,-252 584.3,-252 584.3,-216 683.7,-216 683.7,-252"/>
<text text-anchor="middle" x="634" y="-229.8" font-family="Times,serif" font-size="14.00">ProjectModule</text>
</g>
<!-- GameComponent&#45;&gt;ProjectModule -->
<g id="edge1" class="edge">
<title>GameComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M942.32,-187.03C942.32,-204.06 942.32,-227 942.32,-227 942.32,-227 693.88,-227 693.88,-227"/>
<polygon fill="black" stroke="black" points="693.88,-223.5 683.88,-227 693.88,-230.5 693.88,-223.5"/>
</g>
<!-- HelpComponent -->
<g id="node2" class="node">
<title>HelpComponent</title>
<polygon fill="#ffffb3" stroke="black" points="888.05,-187 779.95,-187 779.95,-151 888.05,-151 888.05,-187"/>
<text text-anchor="middle" x="834" y="-164.8" font-family="Times,serif" font-size="14.00">HelpComponent</text>
</g>
<!-- HelpComponent&#45;&gt;ProjectModule -->
<g id="edge2" class="edge">
<title>HelpComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M813.93,-187.24C813.93,-202.57 813.93,-222 813.93,-222 813.93,-222 693.64,-222 693.64,-222"/>
<polygon fill="black" stroke="black" points="693.64,-218.5 683.64,-222 693.64,-225.5 693.64,-218.5"/>
</g>
<!-- LoginComponent -->
<g id="node3" class="node">
<title>LoginComponent</title>
<polygon fill="#ffffb3" stroke="black" points="761.28,-187 646.72,-187 646.72,-151 761.28,-151 761.28,-187"/>
<text text-anchor="middle" x="704" y="-164.8" font-family="Times,serif" font-size="14.00">LoginComponent</text>
</g>
<!-- LoginComponent&#45;&gt;ProjectModule -->
<g id="edge3" class="edge">
<title>LoginComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M665.11,-187.11C665.11,-187.11 665.11,-205.99 665.11,-205.99"/>
<polygon fill="black" stroke="black" points="661.61,-205.99 665.11,-215.99 668.61,-205.99 661.61,-205.99"/>
</g>
<!-- LoginvalidatorDirective -->
<g id="node4" class="node">
<title>LoginvalidatorDirective</title>
<polygon fill="#ffffb3" stroke="black" points="1325.79,-187 1174.21,-187 1174.21,-151 1325.79,-151 1325.79,-187"/>
<text text-anchor="middle" x="1250" y="-164.8" font-family="Times,serif" font-size="14.00">LoginvalidatorDirective</text>
</g>
<!-- LoginvalidatorDirective&#45;&gt;ProjectModule -->
<g id="edge4" class="edge">
<title>LoginvalidatorDirective&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M1250,-187.22C1250,-205.83 1250,-232 1250,-232 1250,-232 693.63,-232 693.63,-232"/>
<polygon fill="black" stroke="black" points="693.63,-228.5 683.63,-232 693.63,-235.5 693.63,-228.5"/>
</g>
<!-- RankingComponent -->
<g id="node5" class="node">
<title>RankingComponent</title>
<polygon fill="#ffffb3" stroke="black" points="628.27,-187 499.73,-187 499.73,-151 628.27,-151 628.27,-187"/>
<text text-anchor="middle" x="564" y="-164.8" font-family="Times,serif" font-size="14.00">RankingComponent</text>
</g>
<!-- RankingComponent&#45;&gt;ProjectModule -->
<g id="edge6" class="edge">
<title>RankingComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M606.39,-187.11C606.39,-187.11 606.39,-205.99 606.39,-205.99"/>
<polygon fill="black" stroke="black" points="602.89,-205.99 606.39,-215.99 609.89,-205.99 602.89,-205.99"/>
</g>
<!-- RegisterComponent -->
<g id="node6" class="node">
<title>RegisterComponent</title>
<polygon fill="#ffffb3" stroke="black" points="481.98,-187 354.02,-187 354.02,-151 481.98,-151 481.98,-187"/>
<text text-anchor="middle" x="418" y="-164.8" font-family="Times,serif" font-size="14.00">RegisterComponent</text>
</g>
<!-- RegisterComponent&#45;&gt;ProjectModule -->
<g id="edge7" class="edge">
<title>RegisterComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M443.93,-187.24C443.93,-202.57 443.93,-222 443.93,-222 443.93,-222 574.06,-222 574.06,-222"/>
<polygon fill="black" stroke="black" points="574.06,-225.5 584.06,-222 574.06,-218.5 574.06,-225.5"/>
</g>
<!-- StartpageComponent -->
<g id="node7" class="node">
<title>StartpageComponent</title>
<polygon fill="#ffffb3" stroke="black" points="336.2,-187 201.8,-187 201.8,-151 336.2,-151 336.2,-187"/>
<text text-anchor="middle" x="269" y="-164.8" font-family="Times,serif" font-size="14.00">StartpageComponent</text>
</g>
<!-- StartpageComponent&#45;&gt;ProjectModule -->
<g id="edge8" class="edge">
<title>StartpageComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M296.18,-187.03C296.18,-204.06 296.18,-227 296.18,-227 296.18,-227 574.15,-227 574.15,-227"/>
<polygon fill="black" stroke="black" points="574.15,-230.5 584.15,-227 574.15,-223.5 574.15,-230.5"/>
</g>
<!-- GameComponent  -->
<g id="node10" class="node">
<title>GameComponent </title>
<polygon fill="#fb8072" stroke="black" points="1114.26,-317 995.74,-317 995.74,-281 1114.26,-281 1114.26,-317"/>
<text text-anchor="middle" x="1055" y="-294.8" font-family="Times,serif" font-size="14.00">GameComponent </text>
</g>
<!-- ProjectModule&#45;&gt;GameComponent  -->
<g id="edge9" class="edge">
<title>ProjectModule&#45;&gt;GameComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M683.75,-237C785.65,-237 1008.62,-237 1008.62,-237 1008.62,-237 1008.62,-270.73 1008.62,-270.73"/>
<polygon fill="black" stroke="black" points="1005.13,-270.73 1008.62,-280.73 1012.13,-270.73 1005.13,-270.73"/>
</g>
<!-- HelpComponent  -->
<g id="node11" class="node">
<title>HelpComponent </title>
<polygon fill="#fb8072" stroke="black" points="978.04,-317 865.96,-317 865.96,-281 978.04,-281 978.04,-317"/>
<text text-anchor="middle" x="922" y="-294.8" font-family="Times,serif" font-size="14.00">HelpComponent </text>
</g>
<!-- ProjectModule&#45;&gt;HelpComponent  -->
<g id="edge10" class="edge">
<title>ProjectModule&#45;&gt;HelpComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M683.79,-242C754.92,-242 877.12,-242 877.12,-242 877.12,-242 877.12,-270.96 877.12,-270.96"/>
<polygon fill="black" stroke="black" points="873.63,-270.96 877.12,-280.96 880.63,-270.96 873.63,-270.96"/>
</g>
<!-- LoginComponent  -->
<g id="node12" class="node">
<title>LoginComponent </title>
<polygon fill="#fb8072" stroke="black" points="848.28,-317 729.72,-317 729.72,-281 848.28,-281 848.28,-317"/>
<text text-anchor="middle" x="789" y="-294.8" font-family="Times,serif" font-size="14.00">LoginComponent </text>
</g>
<!-- ProjectModule&#45;&gt;LoginComponent  -->
<g id="edge11" class="edge">
<title>ProjectModule&#45;&gt;LoginComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M683.61,-247C713.42,-247 745.62,-247 745.62,-247 745.62,-247 745.62,-270.81 745.62,-270.81"/>
<polygon fill="black" stroke="black" points="742.13,-270.81 745.62,-280.81 749.13,-270.81 742.13,-270.81"/>
</g>
<!-- LoginvalidatorDirective  -->
<g id="node13" class="node">
<title>LoginvalidatorDirective </title>
<polygon fill="#fb8072" stroke="black" points="711.29,-317 556.71,-317 556.71,-281 711.29,-281 711.29,-317"/>
<text text-anchor="middle" x="634" y="-294.8" font-family="Times,serif" font-size="14.00">LoginvalidatorDirective </text>
</g>
<!-- ProjectModule&#45;&gt;LoginvalidatorDirective  -->
<g id="edge12" class="edge">
<title>ProjectModule&#45;&gt;LoginvalidatorDirective </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M634,-252.11C634,-252.11 634,-270.99 634,-270.99"/>
<polygon fill="black" stroke="black" points="630.5,-270.99 634,-280.99 637.5,-270.99 630.5,-270.99"/>
</g>
<!-- RankingComponent  -->
<g id="node14" class="node">
<title>RankingComponent </title>
<polygon fill="#fb8072" stroke="black" points="538.27,-317 405.73,-317 405.73,-281 538.27,-281 538.27,-317"/>
<text text-anchor="middle" x="472" y="-294.8" font-family="Times,serif" font-size="14.00">RankingComponent </text>
</g>
<!-- ProjectModule&#45;&gt;RankingComponent  -->
<g id="edge13" class="edge">
<title>ProjectModule&#45;&gt;RankingComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M584.17,-247C553.06,-247 518.88,-247 518.88,-247 518.88,-247 518.88,-270.81 518.88,-270.81"/>
<polygon fill="black" stroke="black" points="515.38,-270.81 518.88,-280.81 522.38,-270.81 515.38,-270.81"/>
</g>
<!-- RegisterComponent  -->
<g id="node15" class="node">
<title>RegisterComponent </title>
<polygon fill="#fb8072" stroke="black" points="387.99,-317 256.01,-317 256.01,-281 387.99,-281 387.99,-317"/>
<text text-anchor="middle" x="322" y="-294.8" font-family="Times,serif" font-size="14.00">RegisterComponent </text>
</g>
<!-- ProjectModule&#45;&gt;RegisterComponent  -->
<g id="edge14" class="edge">
<title>ProjectModule&#45;&gt;RegisterComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M584.2,-242C507.92,-242 370.88,-242 370.88,-242 370.88,-242 370.88,-270.96 370.88,-270.96"/>
<polygon fill="black" stroke="black" points="367.38,-270.96 370.88,-280.96 374.38,-270.96 367.38,-270.96"/>
</g>
<!-- StartpageComponent  -->
<g id="node16" class="node">
<title>StartpageComponent </title>
<polygon fill="#fb8072" stroke="black" points="237.7,-317 100.3,-317 100.3,-281 237.7,-281 237.7,-317"/>
<text text-anchor="middle" x="169" y="-294.8" font-family="Times,serif" font-size="14.00">StartpageComponent </text>
</g>
<!-- ProjectModule&#45;&gt;StartpageComponent  -->
<g id="edge15" class="edge">
<title>ProjectModule&#45;&gt;StartpageComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M584.05,-237C473.9,-237 219.88,-237 219.88,-237 219.88,-237 219.88,-270.73 219.88,-270.73"/>
<polygon fill="black" stroke="black" points="216.38,-270.73 219.88,-280.73 223.38,-270.73 216.38,-270.73"/>
</g>
<!-- { provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true } -->
<g id="node9" class="node">
<title>{ provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true }</title>
<ellipse fill="#fdb462" stroke="black" cx="1379" cy="-104" rx="333.64" ry="18"/>
<text text-anchor="middle" x="1379" y="-99.8" font-family="Times,serif" font-size="14.00">{ provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true }</text>
</g>
<!-- { provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true }&#45;&gt;LoginvalidatorDirective -->
<g id="edge5" class="edge">
<title>{ provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true }&#45;&gt;LoginvalidatorDirective</title>
<path fill="none" stroke="black" d="M1250,-120.74C1250,-120.74 1250,-140.72 1250,-140.72"/>
<polygon fill="black" stroke="black" points="1246.5,-140.72 1250,-150.72 1253.5,-140.72 1246.5,-140.72"/>
</g>
<!-- UserformService -->
<g id="node17" class="node">
<title>UserformService</title>
<ellipse fill="#fdb462" stroke="black" cx="101" cy="-169" rx="76.98" ry="18"/>
<text text-anchor="middle" x="101" y="-164.8" font-family="Times,serif" font-size="14.00">UserformService</text>
</g>
<!-- UserformService&#45;&gt;ProjectModule -->
<g id="edge16" class="edge">
<title>UserformService&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M139.07,-184.9C139.07,-203.56 139.07,-232 139.07,-232 139.07,-232 574.28,-232 574.28,-232"/>
<polygon fill="black" stroke="black" points="574.28,-235.5 584.28,-232 574.28,-228.5 574.28,-235.5"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li class="nav-item">
        <a href="#info" 
            class="nav-link"
            class="nav-link active"
            role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
    </li>
    <li class="nav-item">
        <a href="#source" 
            class="nav-link"
            
            role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/shared/modules/project/project.module.ts</code>
        </p>





        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank" rel="noopener noreferrer"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/GameComponent.html">GameComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HelpComponent.html">HelpComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/LoginComponent.html">LoginComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../directives/LoginvalidatorDirective.html">LoginvalidatorDirective</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RankingComponent.html">RankingComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterComponent.html">RegisterComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/StartpageComponent.html">StartpageComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank" rel="noopener noreferrer"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/UserformService.html">UserformService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" rel="noopener noreferrer"
                            title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/GameComponent.html">GameComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HelpComponent.html">HelpComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/LoginComponent.html">LoginComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../directives/LoginvalidatorDirective.html">LoginvalidatorDirective</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RankingComponent.html">RankingComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterComponent.html">RegisterComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/StartpageComponent.html">StartpageComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { CommonModule } from &#x27;@angular/common&#x27;;
import { StartpageComponent } from &#x27;../../../view/startpage/startpage.component&#x27;;
import { GameComponent } from &#x27;../../../view/game/game.component&#x27;;
import { LoginComponent } from &#x27;../../../view/login/login.component&#x27;;
import { RegisterComponent } from &#x27;../../../view/register/register.component&#x27;;
import { RankingComponent } from &#x27;../../../view/ranking/ranking.component&#x27;;
import { HelpComponent } from &#x27;../../../view/help/help.component&#x27;;
import {BrowserModule} from &quot;@angular/platform-browser&quot;;
import {UserformService} from &quot;../../services/userform.service&quot;;
import { LoginvalidatorDirective } from &#x27;../../../view/login/loginvalidator.directive&#x27;;
import {FormsModule,ReactiveFormsModule} from &quot;@angular/forms&quot;;
@NgModule({
  declarations: [
    StartpageComponent,
    GameComponent,
    LoginComponent,
    RegisterComponent,
    RankingComponent,
    HelpComponent,
    LoginvalidatorDirective
  ],
    imports: [
        CommonModule,
        BrowserModule,
        ReactiveFormsModule,
        FormsModule
    ],
  providers:[
    UserformService
  ],
  exports: [
    StartpageComponent,
    GameComponent,
    LoginComponent,
    RegisterComponent,
    RankingComponent,
    HelpComponent,
    LoginvalidatorDirective
  ]
})
export class ProjectModule { }
</code></pre>
    </div>
</div>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'ProjectModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script>
               $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               checkToggle(darkModeState);
               if ($darkModeToggleSwitchers.length > 0) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].addEventListener('change', function (event) {
                              darkModeState = !darkModeState;
                              toggleDarkMode(darkModeState);
                         });
                    }
               }
          </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
